BasicComboPopup.ListSelectionHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicComboPopup, class: ListSelectionHandler
Keywords: javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler class

# Class BasicComboPopup.ListSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler

All Implemented Interfaces:
  `EventListener, ListSelectionListener`

Enclosing class:
  `BasicComboPopup`

protected class BasicComboPopup.ListSelectionHandler extends Object implements ListSelectionListener
As of Java 2 platform v 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ListSelectionHandler()`
  Constructs a `ListSelectionHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `valueChanged(ListSelectionEvent e)`
  Called whenever the value of the selection changes.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ListSelectionHandler

    protected ListSelectionHandler()
    Constructs a `ListSelectionHandler`.

- ## Method Details

  - ### valueChanged

    public void valueChanged(ListSelectionEvent e)
    Description copied from interface: `ListSelectionListener`
    Called whenever the value of the selection changes.
    Specified by:
      `valueChanged` in interface `ListSelectionListener`
    Parameters:
      `e` - the event that characterizes the change.